package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @description  短信发送记录表
 * @author  yangzibin
 * @date    2023/12/28 17:18
 * @param	null
 * @return
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_short_msg_log")
@ApiModel(description="外部系统部门表（钉钉、企微）")
public class ShortMsgLog extends BaseModel<ShortMsgLog> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;


    /**
     * 短信号码
     */
    @TableField("SEND_NUMBER_")
    @ApiModelProperty(name="sendNumber",notes="短信号码")
    protected String sendNumber;

    /**
     * 短信内容
     */
    @TableField("CONTENT_")
    @ApiModelProperty(name="content",notes="短信内容")
    protected String content;


    /**
     * 发送内容条数
     */
    @TableField("SEND_COUNT_")
    @ApiModelProperty(name="sendCount",notes="发送内容条数")
    protected String sendCount;

    /**
     * 用途
     */
    @TableField("USE_")
    @ApiModelProperty(name="use",notes="用途")
    protected String use;

    /**
     * 创建人
     */
    @TableField("CREATE_BY_")
    @ApiModelProperty(name="createBy",notes="创建人")
    protected String createBy;

    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    /**
     * 租户id
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="组织id")
    protected String orgId;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSendNumber() {
        return sendNumber;
    }

    public void setSendNumber(String sendNumber) {
        this.sendNumber = sendNumber;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getSendCount() {
        return sendCount;
    }

    public void setSendCount(String sendCount) {
        this.sendCount = sendCount;
    }

    public String getUse() {
        return use;
    }

    public void setUse(String use) {
        this.use = use;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
}
